Package org.gradle.plugins.ear

# Class EarPlugin

java.lang.Object
org.gradle.plugins.ear.EarPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class EarPlugin extends Object implements Plugin<Project>

A `Plugin` with tasks which assemble a web application into a EAR file.

See Also:
  - EAR plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final String`
  `DEFAULT_LIB_DIR_NAME`
  `static final String`
  `DEPLOY_CONFIGURATION_NAME`
  `static final String`
  `EAR_TASK_NAME`
  `static final String`
  `EARLIB_CONFIGURATION_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EarPlugin(ObjectFactory objectFactory, org.gradle.api.plugins.jvm.internal.JvmPluginServices jvmPluginServices, org.gradle.api.internal.tasks.TaskDependencyFactory taskDependencyFactory)`
  Injects an `ObjectFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EAR_TASK_NAME

    public static final String EAR_TASK_NAME
    See Also:
      - Constant Field Values

  - ### DEPLOY_CONFIGURATION_NAME

    public static final String DEPLOY_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

  - ### EARLIB_CONFIGURATION_NAME

    public static final String EARLIB_CONFIGURATION_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_LIB_DIR_NAME

    static final String DEFAULT_LIB_DIR_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EarPlugin

    @Inject public EarPlugin(ObjectFactory objectFactory, org.gradle.api.plugins.jvm.internal.JvmPluginServices jvmPluginServices, org.gradle.api.internal.tasks.TaskDependencyFactory taskDependencyFactory)
    Injects an `ObjectFactory`
    Since:
      4.2

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object